Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class GridLayoutImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.GridLayoutImpl

All Implemented Interfaces:
  EObject, GridLayout, InternalEObject, Layout, Notifier

public class GridLayoutImpl
extends EObjectImpl
implements GridLayout

An implementation of the model object 'Grid Layout'.

The following features are implemented:

- `Num Columns`
- `Equal Width`
- `Margins`
- `Spacing`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static boolean` `EQUAL_WIDTH_EDEFAULT` The default value of the '`Equal Width`' attribute
`protected boolean` `equalWidth` The cached value of the '`Equal Width`' attribute
`protected Dimension` `margins` The cached value of the '`Margins`' containment reference
`protected static int` `NUM_COLUMNS_EDEFAULT` The default value of the '`Num Columns`' attribute
`protected int` `numColumns` The cached value of the '`Num Columns`' attribute
`protected Dimension` `spacing` The cached value of the '`Spacing`' containment reference

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GridLayoutImpl()`

Method Summary
`NotificationChain` `basicSetMargins(Dimension newMargins, NotificationChain msgs)`
`NotificationChain` `basicSetSpacing(Dimension newSpacing, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Dimension` `getMargins()`
`int` `getNumColumns()`
`Dimension` `getSpacing()`
`boolean` `isEqualWidth()`
`void` `setEqualWidth(boolean newEqualWidth)`
`void` `setMargins(Dimension newMargins)`
`void` `setNumColumns(int newNumColumns)`
`void` `setSpacing(Dimension newSpacing)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### NUM_COLUMNS_EDEFAULT

    protected static final int NUM_COLUMNS_EDEFAULT

  The default value of the '`Num Columns`' attribute.

  See Also:
    `GridLayoutImpl.getNumColumns()`, Constant Field Values
  ** Generated **
  Ordered:

### numColumns

    protected int numColumns

  The cached value of the '`Num Columns`' attribute.

  See Also:
    `GridLayoutImpl.getNumColumns()`
  ** Generated **
  Ordered:

### EQUAL_WIDTH_EDEFAULT

    protected static final boolean EQUAL_WIDTH_EDEFAULT

  The default value of the '`Equal Width`' attribute.

  See Also:
    `GridLayoutImpl.isEqualWidth()`, Constant Field Values
  ** Generated **
  Ordered:

### equalWidth

    protected boolean equalWidth

  The cached value of the '`Equal Width`' attribute.

  See Also:
    `GridLayoutImpl.isEqualWidth()`
  ** Generated **
  Ordered:

### margins

    protected Dimension margins

  The cached value of the '`Margins`' containment reference.

  See Also:
    `GridLayoutImpl.getMargins()`
  ** Generated **
  Ordered:

### spacing

    protected Dimension spacing

  The cached value of the '`Spacing`' containment reference.

  See Also:
    `GridLayoutImpl.getSpacing()`
  ** Generated **
  Ordered:

Constructor Detail

### GridLayoutImpl

    protected GridLayoutImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  ** Generated **

### getNumColumns

    public int getNumColumns()

  Specified by:
    `getNumColumns` in interface `GridLayout`
  Returns:
    the value of the 'Num Columns' attribute.
  See Also:
    `GridLayout.setNumColumns(int)`, `GMFGraphPackage.getGridLayout_NumColumns()`
  ** Generated **

### setNumColumns

    public void setNumColumns(int newNumColumns)

  Specified by:
    `setNumColumns` in interface `GridLayout`
  Parameters:
    `newNumColumns` - the new value of the 'Num Columns' attribute.
  See Also:
    `GridLayout.getNumColumns()`
  ** Generated **

### isEqualWidth

    public boolean isEqualWidth()

  Specified by:
    `isEqualWidth` in interface `GridLayout`
  Returns:
    the value of the 'Equal Width' attribute.
  See Also:
    `GridLayout.setEqualWidth(boolean)`, `GMFGraphPackage.getGridLayout_EqualWidth()`
  ** Generated **

### setEqualWidth

    public void setEqualWidth(boolean newEqualWidth)

  Specified by:
    `setEqualWidth` in interface `GridLayout`
  Parameters:
    `newEqualWidth` - the new value of the 'Equal Width' attribute.
  See Also:
    `GridLayout.isEqualWidth()`
  ** Generated **

### getMargins

    public Dimension getMargins()

  Specified by:
    `getMargins` in interface `GridLayout`
  Returns:
    the value of the 'Margins' containment reference.
  See Also:
    `GridLayout.setMargins(Dimension)`, `GMFGraphPackage.getGridLayout_Margins()`
  ** Generated **

### basicSetMargins

    public NotificationChain basicSetMargins(Dimension newMargins,
                                             NotificationChain msgs)

  ** Generated **

### setMargins

    public void setMargins(Dimension newMargins)

  Specified by:
    `setMargins` in interface `GridLayout`
  Parameters:
    `newMargins` - the new value of the 'Margins' containment reference.
  See Also:
    `GridLayout.getMargins()`
  ** Generated **

### getSpacing

    public Dimension getSpacing()

  Specified by:
    `getSpacing` in interface `GridLayout`
  Returns:
    the value of the 'Spacing' containment reference.
  See Also:
    `GridLayout.setSpacing(Dimension)`, `GMFGraphPackage.getGridLayout_Spacing()`
  ** Generated **

### basicSetSpacing

    public NotificationChain basicSetSpacing(Dimension newSpacing,
                                             NotificationChain msgs)

  ** Generated **

### setSpacing

    public void setSpacing(Dimension newSpacing)

  Specified by:
    `setSpacing` in interface `GridLayout`
  Parameters:
    `newSpacing` - the new value of the 'Spacing' containment reference.
  See Also:
    `GridLayout.getSpacing()`
  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  ** Generated **

### toString

    public java.lang.String toString()

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.